build:
  image: docker:20.10.16
  stage: build
  services:
    - docker:20.10.16-dind
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build -t $CI_REGISTRY/danny-verpoort/shop/frontend/shop-admin:latest -t $CI_REGISTRY/danny-verpoort/shop/frontend/shop-admin:$CI_COMMIT_TAG .
    - docker push --all-tags $CI_REGISTRY/danny-verpoort/shop/frontend/shop-admin
  only:
    - tags
